//
// clock_profiles_structs.h
//

/*
 * %NT_SOFTWARE_LICENSE%
 */

#ifndef _NT_CLOCK_PROFILES_STRUCTS_H_
#define _NT_CLOCK_PROFILES_STRUCTS_H_

//
//
//
#include <stdint.h>

//
//
//
#define GET_VAR_NAME(var) #var

#define clkProfileSizeErrorMsg  "Size test failed"

//
//
//
typedef struct {
   unsigned char Reg_Addr;
   unsigned char Reg_Val;
   unsigned char Reg_Mask;
} clkProfileDataFmt0_t;

typedef struct {
   uint16_t Reg_Addr;
   uint8_t  Reg_Val;
} clkProfileDataFmt1_t;

typedef struct {
   unsigned int  Reg_Addr;
   unsigned char Reg_Val;
} clkProfileDataFmt2_t;

typedef struct {
  unsigned int address;
  unsigned int data;
} clkProfileDataFmt3_t;


typedef enum {
  clkProfileDataFmt_0,
  clkProfileDataFmt_1,
  clkProfileDataFmt_2,
  clkProfileDataFmt_3,
} clkProfileDataFmt_t;

//
//
//
#endif // _NT_CLOCK_PROFILES_STRUCTS_H_

//
// EOF
//
