/*
 * SPDX-License-Identifier: BSD-3-Clause
 * Copyright(c) 2023 Napatech A/S
 */

#ifndef _QSFP_H
#define _QSFP_H

#include "sensors.h"
#include "i2c_nim.h"

/* Read functions */
void NIM_read_QSFP_temp(struct nim_sensor_group* sg, NthwSpis_t* t_spi);
void NIM_read_QSFP_voltage(struct nim_sensor_group* sg, NthwSpis_t* t_spi);
void NIM_read_QSFP_bias_current(struct nim_sensor_group* sg, NthwSpis_t* t_spi);
void NIM_read_QSFP_tx_power(struct nim_sensor_group* sg, NthwSpis_t* t_spi);
void NIM_read_QSFP_rx_power(struct nim_sensor_group* sg, NthwSpis_t* t_spi);

#endif /* _QSFP_H */
