/*
 * SPDX-License-Identifier: BSD-3-Clause
 * Copyright(c) 2023 Napatech A/S
 */

#ifndef __NTHW_FPGA_NT200A0X_H__
#define __NTHW_FPGA_NT200A0X_H__

int NthwFpga_nt200a0x_init(struct FpgaInfo_s* pFpgaInfo);

/* NT200A02: 9530 */
int NthwFpga_rst9530_init(struct FpgaInfo_s* pFpgaInfo, struct NthwFpga_rst_nt200a0x* const p);

/* NT200A02: 9544 */
int NthwFpga_rst9544_init(struct FpgaInfo_s* pFpgaInfo, struct NthwFpga_rst_nt200a0x* const p);

/* NT200A02: 9563 */
int NthwFpga_rst9563_init(struct FpgaInfo_s* pFpgaInfo, struct NthwFpga_rst_nt200a0x* const p);

#endif /* __NTHW_FPGA_NT200A0X_H__ */
