/*
 * SPDX-License-Identifier: BSD-3-Clause
 * Copyright(c) 2023 Napatech A/S
 */

#ifndef NT4GA_TFG_H_
#define NT4GA_TFG_H_

typedef struct Nt4gaTfg_s
{
  NthwGfg_t* mpNthwGfg;
  NthwGmf_t* mpNthwGmf;
  NthwMacTfg_t* mpNthwMacTfg;
} Nt4gaTfg_t;

int Nt4gaTfg_init(struct AdapterInfo_s* pAdapterInfo);
int Nt4gaTfg_setup(struct AdapterInfo_s* pAdapterInfo, const int nIntfNo, const int nCmdStartStop, const int nFrameCount, const int nFrameSize, const int nFrameFillMode, const int nFrameStreamId);

int Nt4gaTfg_tfg_test(struct AdapterInfo_s* pAdapterInfo, int nIntfNo, bool bCmdStartStop);

#endif /* NT4GA_TFG_H_ */
