/*
 * SPDX-License-Identifier: BSD-3-Clause
 * Copyright(c) 2023 Napatech A/S
 */

#ifndef __NTHW_FPGA_NT50B0X_H__
#define __NTHW_FPGA_NT50B0X_H__

int NthwFpga_nt50b0x_init(struct FpgaInfo_s* pFpgaInfo);

/* NT50B01: 9542 */
int NthwFpga_rst9542_init(struct FpgaInfo_s* pFpgaInfo, struct NthwFpga_rst_nt50b0x* const p);

/* NT50B01: 9547 */
int NthwFpga_rst9547_init(struct FpgaInfo_s* pFpgaInfo, struct NthwFpga_rst_nt50b0x* const p);

#endif /* __NTHW_FPGA_NT50B0X_H__ */
