# Napatech ntmain DPDK application

The ntmain is a DPDK application, which can be used in demo setups together with
`inline_upf_demo` or `forward` applications. In such setup `ntmain` uses NTNIC PMD
and `inline_upf_demo` or `forward` applications use patched virtio PMD.
It means, that `ntmain` application is responsible for direct communication with
NT SmartNIC and it uses vhost-user and ntconnect sockets for communication
with test applications.

Please see documentation of Napatech Kubernetes demo for additional information,
how `ntmain` application can be used at kubernetes environment.

## Build of ntmain

Please build and install NT DPDK according to official end-user documentation.

Please run following commands from the root directory of extracted NT inline package:

```bash
export NT_DPDK_PATH=$PWD/dpdk_v22.11.1/dpdk_v22.11.1_*
export PKG_CONFIG_PATH=/usr/local/lib64/pkgconfig
cd examples_v22.11.1/examples/ntmain
meson build
ninja -C build
```
